package authentication;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Filtr, kter pchoz HTTP poadavek "obal" do instance tdy <code>MyHttpRequest</code>. 
 * S instanc tdy <code>MyHttpRequest</code> pracuje mechanismus ovovn uivatele.
 *	
*/
public final class RequestWrappingFilter implements Filter 
{
	
/**
 * Vytvo instanci.
 */
public RequestWrappingFilter() 
{
	super();
}
/**
 * Metoda zavolan pi likvidaci filtru.
 */
public void destroy() 
{}

/**
 * Metoda zajiujc filtraci.
 * @param request ServletRequest je pchoz HTTP poadavek.
 * @param response ServletResponse je odchoz odpov na poadavek.
 * @param chain FilterChain je etzec dalch filtr.
 */
public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException 
{
	if (request instanceof HttpServletRequest) 
	{ 
		chain.doFilter((ServletRequest) new MyHttpRequest((HttpServletRequest) request), response);
	}
}
/**
 * Metoda inicilaizuje filtr.
 * @param config FilterConfig je objekt s informacemi o konfiguraci.
 */
public void init(FilterConfig config) throws ServletException 
{}

}
